{
    "globalStyle": {
        "navigationBarTextStyle": "white",
        "navigationBarBackgroundColor": "#F8F8F8",
        "backgroundColor": "#FFFFFF",
        "pageOrientation": "portrait", //横屏配置，全局屏幕旋转设置(仅 APP/微信/QQ小程序)，支持 auto / portrait / landscape
        "app-plus": {
            "scrollIndicator": "none",
            "titleNView": {
                "titleSize": "20"
            }
        }
    },
    "pages": [
        // pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path": "pages/home/index",
            "style": {
                "navigationBarTitleText": "首页",
                "enablePullDownRefresh": false,
                // #ifdef H5
                "navigationStyle": "custom",
                // #endif
                "app-plus": {
                    "titleNView": false
                },
                "enableReachBottom": false
            }
        },
        {
            "path": "pages/business/index",
            "style": {
                "navigationBarTitleText": "监测预报",
                "enablePullDownRefresh": false,
                "navigationBarBackgroundColor": "#1890FF",
                "app-plus": {
                    "titleNView": {
                        "backgroundImage": "/static/warnforecast.png",
                        "backgroundRepeat": "no-repeat"
                    }
                },
                "SplitLineStyles": {
                    "height": "160px"
                }
            }
        },
        {
            "path": "pages/message/index",
            "style": {
                "navigationBarTitleText": "消息",
                "enablePullDownRefresh": false,
                "navigationBarBackgroundColor": "#1890FF",
                "app-plus": {
                    "titleNView": {
                        "backgroundImage": "/static/warnforecast.png",
                        "backgroundRepeat": "no-repeat"
                    }
                }
            }
        },
        {
            "path": "pages/mine/index",
            "style": {
                "navigationBarTitleText": "我的",
                "enablePullDownRefresh": false,
                // #ifdef H5
                "navigationStyle": "custom",
                // #endif
                "app-plus": {
                    "titleNView": false
                },
                "enableReachBottom": false
            }
        },
        // 降水监测
        {
            "path": "pages/business/monitor/rain/index",
            "style": {
                "navigationBarTitleText": "降水监测（演示）",
                "enablePullDownRefresh": false,
                "navigationBarBackgroundColor": "#1890FF",
                "app-plus": {
                    "titleNView": {
                        "buttons": [
                            {
                                "type": "share",
                                "color": "white",
                                "width": "50px"
                            }
                        ]
                    }
                }
            }
        },
        // 气温监测
        {
            "path": "pages/business/monitor/tem/index",
            "style": {
                "navigationBarTitleText": "气温监测",
                "enablePullDownRefresh": false,
                "navigationBarBackgroundColor": "#1890FF",
                "app-plus": {
                    "titleNView": {
                        "buttons": [
                            {
                                "type": "share",
                                "color": "white",
                                "width": "50px"
                            }
                        ]
                    }
                }
            }
        },
        // === Webview ===
        {
            "path": "pages/common/webview/index",
            "style": {
                "titleNView": true,
                "navigationBarTitleText": "",
                "navigationBarBackgroundColor": "#1890FF",
                "enablePullDownRefresh": false
            }
        },
        // === PDF 文件预览 ===
        {
            "path": "pages/common/viewer/pdf",
            "style": {
                "titleNView": true,
                "navigationBarTitleText": "",
                "enablePullDownRefresh": false
            }
        },
        // === 空页面（开发中...） ===
        {
            "path": "pages/common/coding/coding",
            "style": {
                // #ifdef H5
                "titleNView": false,
                // #endif
                "navigationBarTitleText": "开发中",
                "enablePullDownRefresh": false,
                "backgroundColorTop": "#FFFFFF",
                "backgroundColorBottom": "#FFFFFF",
                "backgroundColor": "#FFFFFE",
                "mp-alipay": {
                    "allowsBounceVertical": "YES"
                }
            }
        },
        // === 版本更新 ===
        {
            "path": "uni_modules/uni-upgrade-center-app/pages/upgrade-popup",
            "style": {
                "app-plus": {
                    "animationDuration": 200,
                    "animationType": "fade-in",
                    "background": "transparent",
                    "backgroundColorTop": "transparent",
                    "popGesture": "none",
                    "scrollIndicator": false,
                    "titleNView": false
                },
                "disableScroll": true
            }
        }
    ],
    "easycom": {
        "autoscan": true,
        "custom": {
            // https://doc.firstui.cn/docs/introduce.html
            "^fui-(.*)": "@/components/FirstUI/fui-$1/fui-$1.vue",
            // https://ext.dcloud.net.cn/plugin?id=55#detail
            "^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue"
        }
    },
    "resizable": true,
    "tabBar": {
        "color": "#7A7E83",
        "selectedColor": "#1890FF",
        "borderStyle": "black",
        "backgroundColor": "#ffffff",
        "height": "60px",
        "fontSize": "10px",
        "iconWidth": "24px",
        "spacing": "6px",
        "list": [
            {
                "pagePath": "pages/home/index",
                "iconPath": "static/icons/home.png",
                "selectedIconPath": "static/icons/homeSelect.png",
                "text": "首页"
            },
            {
                "pagePath": "pages/business/index",
                "iconPath": "static/icons/monitorforecast.png",
                "selectedIconPath": "static/icons/monitorforecastSelect.png",
                "text": "监测预报"
            },
            {
                "pagePath": "pages/message/index",
                "iconPath": "static/icons/message.png",
                "selectedIconPath": "static/icons/messageSelect.png",
                "text": "消息"
            },
            {
                "pagePath": "pages/mine/index",
                "iconPath": "static/icons/mine.png",
                "selectedIconPath": "static/icons/mineSelect.png",
                "text": "我的"
            }
        ]
    }
}
